---
title: Get Card Details
description: Fetch all card details for a customer including card number, kit number, expiry, status, and type.
---

This API is used to fetch all the card details of the customer. We must pass entity id in request. If the request has valid details, we will get details like card no, kit no, expiry date, card status, card type in response.

#### POST
```
https://kraken.airpay.co.in/airpay/ms/cards/api/card-details
```

## Header

| Parameter | Type Value | Description | Value Like |
| --- | --- | --- | --- |
| token  required | text<br>(`1-10`) | Will be provided by airpay | `91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps` |
| checksum  required | text | $string = $param.self::$secret_key; sha256(<concate all values+SECRET KEY>);(dynamic, required) | `91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps` |

## Request Body

| Parameter | Type Value | Description | Value Like |
| --- | --- | --- | --- |
| entity_id  required | text  <br>(1-50) | The Customer Id registered with the system | `91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps` |

## Success 200

| Parameter | Type Value | Description | Value Like |
| --- | --- | --- | --- |
| status  required | numeric<br>(`1-3`) | airpay status | `400,200` |
| message  required | text | airpay status message | `Success,Fail` |
| data  required | json | { "cards": [{ "card_no": "1500", "kit_no": "11111", "expity": "", "card_status": "ALLOCATED", "card_type": "PHYSICAL"},{ "card_no": "15001", "kit_no": "111111", "expity": "", "card_status": "ALLOCATED", "card_type": "VIRTUAL" }] }(required) |

## Request Example

```
curl --location --request POST 'https://kraken.airpay.co.in/airpay/ms/cards/api/card-details' \
--header 'token: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--header 'checksum: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--data-urlencode 'entity_id=91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps'
```

### Success Response

```json
{
    "status": 200,
    "message": "success",
    "data": [
        {
            "card_no": "462294XXXXXX1234",
            "kit_no": "100000001218",
            "expiry_date": "03/22",
            "card_status": "A",
            "card_type": "V"
        },
        {
            "card_no": "462294XXXXXX3713",
            "kit_no": "100000001212",
            "expiry_date": "12/2022",
            "card_status": "A",
            "card_type": "V"
        }
    ]
}
```

### Error Response

```json
{
    "status": 400,
    "message": "fail"
}
```